ndavie
Contributor
Contributor

VM Workstation 16.1->16.2.1 on Ubuntu 21.10 broke everything

Ubuntu 21.10

I was annoyed to find shared VMs gone in 16, I was able to limp along and everything was fine until I "upgraded" and now I can't even create a VM.  

VMware Workstation unrecoverable error: (mks)
ISBRendererComm: Lost connection to mksSandbox (2878)
A log file is available in "/home/ndavie/Documents/vmware/AME 21H1/vmware.log".
You can request support.

To collect data to submit to VMware support, choose "Collect Support Data" from the Help menu.
You can also run the "vm-support" script in the Workstation folder directly.
We will respond on the basis of your support entitlement.

 

 

Labels (2)
63 Replies
sabennett
Enthusiast
Enthusiast

For whatever it's worth ...

After upgrading Pop!_OS, I performed the steps laid out in my post here >>>  https://communities.vmware.com/t5/VMware-Workstation-Pro/VM-Workstation-16-1-gt-16-2-1-on-Ubuntu-21-... 

And as long as you remember to change/update the Workstation version to the one you are currently on it should work fine.

I just ran it against 16.2.3 with no issue.

NOTE: DON'T FORGET TO USE SUDO ON THE LAST TWO COMMANDS

It appears that there are a few other solutions posted so it's good to have a choice.

Cheers

0 Kudos
sabennett
Enthusiast
Enthusiast

After getting Workstation 16.2.3 running I upgraded to 16.2.4

Ran through the same steps remembering to update the version number to download to 16.2.4 

All good.

Thanks again to @mkubecek for maintaining the GIT repo and providing excellent instructions.

 

 

0 Kudos
sabennett
Enthusiast
Enthusiast

Update

Successfully upgrade from 16.2.4 to 16.2.5 using this method.

Thanks again to @mkubecek for maintaining the GIT repo and providing excellent instructions.

0 Kudos
HPSNBG
Contributor
Contributor

Thanks for the good guide.
I have used it for Kubuntu 22.04 LTE and VMware Workstation Pro 16.2.3.

But as soon as I update to VMware 17.0, I get errors again.
I can boot VMware Workstation Pro 17.0 and also convert a virtual machine from version 16 to 17.
An error occurs if I open the virtual machine: "Version mismatch with vmmon module: expecting 416.0, got 410.0. You have an incorrect version of the vmmon kernel module. Try reinstalling VMware Workstation".
Of course the reinstallation doesn't work.

I then installed version 16 again. Logically, the virtual machine no longer works and must be recreated.

Are there any other solutions?

 

 

0 Kudos